#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20230706.sql ./mysql/db
cp ../sql/ry_config_20220929.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../doctor-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy doctor-gateway "
cp ../doctor-gateway/target/doctor-gateway.jar ./ruoyi/gateway/jar

echo "begin copy doctor-auth "
cp ../doctor-auth/target/doctor-auth.jar ./ruoyi/auth/jar

echo "begin copy doctor-visual "
cp ../doctor-visual/doctor-monitor/target/doctor-visual-monitor.jar  ./ruoyi/visual/monitor/jar

echo "begin copy doctor-modules-system "
cp ../doctor-modules/doctor-system/target/doctor-modules-system.jar ./ruoyi/modules/system/jar

echo "begin copy doctor-modules-file "
cp ../doctor-modules/doctor-file/target/doctor-modules-file.jar ./ruoyi/modules/file/jar

echo "begin copy doctor-modules-job "
cp ../doctor-modules/doctor-job/target/doctor-modules-job.jar ./ruoyi/modules/job/jar

echo "begin copy doctor-modules-gen "
cp ../doctor-modules/doctor-gen/target/doctor-modules-gen.jar ./ruoyi/modules/gen/jar

