package doctor.system.api.domain;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @ClassName : User
 * @Description : 用户表
 * @Author : FJJ
 * @Date: 2024-01-10 20:46
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class User {
    private Integer id;
    private String phone;
    private String pwd;
    private String email;
    private String nickName;
    private String userName;
    private String headPic;
    private Integer sex;
    private Integer age;
    private Integer height;
    private Integer weight;
    private String invitationCode;
    private Date updateTime;
    private Long createTime;


}
