package doctor.domain.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @ClassName : UserArchivesDto
 * @Description : 添加用户档案
 * @Author : FJJ
 * @Date: 2024-01-15 21:51
 */
@Data
public class UserArchivesDto {
    private Integer userId;


    private String picture;


    private String diseaseMain;


    private String diseaseNow;


    private String diseaseBefore;


    private String treatmentHospitalRecent;


    private String treatmentProcess;


    private String treatmentStartTime;

    private String treatmentEndTime;

}
