package doctor.domain.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.domain.entity
 * @Author: jpz
 * @CreateTime: 2024/1/18 18:33
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DoctorCharge {
    private Integer id;
    private Integer doctorId;
    private Integer cost;
    private Date updateTime;
    private Date createTime;
}
