package doctor.domain.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.domain.entity
 * @Author: jpz
 * @CreateTime: 2024/1/15 11:32
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DoctorEntity {
    private Integer id;
    private Integer departmentId;
    private String email;
    private String userName;
    private Integer reviewStatus;
    private String phone;
    private String pwd;
    private String name;
    private String jobTitle;
    private String imagePic;
    private String inauguralHospital;
    private String personalProfile;
    private String goodFieId;
    private Date createTime;
}
