package doctor.domain.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.domain.entity
 * @Author: jpz
 * @CreateTime: 2024/1/12 21:52
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class InquiryRecordEntity {
    private Integer id;
    private Integer userId;
    private Integer doctorId;
    private Integer status;
    private Integer showStatus;
    private Date inquiryTime;
    private Date createTime;
}
