package doctor.domain.entity;

import lombok.Data;

import java.util.Date;

/**
 * @ClassName SymptomEntity
 * @Description 描述
 * @Author 栗永斌
 */
@Data
public class SymptomEntity {

   /**
    * 私有变量，药品ID
    */
   private Integer id;
   /**
    * 私有变量，药品分类ID
    */
   private Integer drugsCategoryId;
   /**
    * 私有变量，药品名称
    */
   private String name;
   /**
    * 私有变量，药品图片
    */
   private String picture;
   /**
    * 私有变量，药品功效
    */
   private String effect;
   /**
    * 私有变量，药品禁忌
    */
   private String taboo;
   /**
    * 私有变量，药品形状
    */
   private String shape;
   /**
    * 私有变量，药品包装
    */
   private String packing;
   /**
    * 私有变量，药品成分
    */
   private String component;
   /**
    * 私有变量，药品用法
    */
   private String usage;
   /**
    * 私有变量，药品副作用
    */
   private String sideEffects;
   /**
    * 私有变量，药品存储
    */
   private String storage;
   /**
    * 私有变量，药品注意事项
    */
   private String mindMatter;
   /**
    * 私有变量，药品批准文号
    */
   private String approvalNumber;
   /**
    * 私有变量，药品创建时间
    */
   private Date createTime;



}
