package doctor.domain.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @ClassName : UserVideoBuyEntity
 * @Description : 用户购买视频表
 * @Author : FJJ
 * @Date: 2024-01-10 15:20
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserVideoBuyEntity {
    private Integer id;
    private Integer userId;
    private Integer videoId;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;
}
