package doctor.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.domain.vo
 * @Author: jpz
 * @CreateTime: 2024/1/15 11:38
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DoctorVo {
    private Integer doctorId;
    private String doctorName;
    private String imagePic;
    private String jobTitle;
    private String inauguralHospital;
    private double praise;
    private Integer serverNum;
    private Integer servicePrice;
    private Integer praiseNum;
    private Integer badNum;
    private Integer commentNum;
}
