package doctor.mapper;


import doctor.domain.entity.UserVideoBuyEntity;
import doctor.domain.entity.UserVideoCollectionEntity;
import doctor.domain.entity.VideoCategoryEntity;
import doctor.domain.entity.VideoEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HealthUserVideoMapper {
    List<VideoCategoryEntity> findVideoCategoryList();

    List<VideoEntity> findVideoVoList(@Param("categoryId") Integer categoryId);

    UserVideoCollectionEntity selectWhetherCollectionByUserIdAndVideoId(@Param("userId") Integer userId, @Param("id") Integer id);

    UserVideoBuyEntity selectWhetherBuyByUserIdAndVideoId(@Param("userId") Integer userId, @Param("id") Integer id);

    Integer selectVideoBuyNum(@Param("id") Integer id);
}
