package doctor.mapper;


import com.github.pagehelper.Page;
import doctor.domain.entity.DepartmentEntity;
import doctor.domain.entity.SickCircleEntity;
import doctor.domain.entity.SickCommentEntity;
import doctor.domain.entity.SymptomEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName PatientMapper
 * @Description 描述
 */
public interface PatientMapper {



    SickCircleEntity findSickCircleInfo(@Param("id") Integer id);



    List<SymptomEntity> symptomList();



    List<SickCircleEntity> sickCircleList(@Param("id") Integer id);



    List<DepartmentEntity> DepartmentList(Page<DepartmentEntity> objects);


    List<SickCommentEntity> findSickCircleCommentList(@Param("sickCircleId") Integer sickCircleId);

    List<SickCircleEntity> searchSickCircle(@Param("keyWord") String keyWord);


}
