package doctor.service;

import com.alibaba.nacos.api.model.v2.Result;
import doctor.common.core.domain.HealthR;
import doctor.domain.entity.SickCircleEntity;
import doctor.domain.vo.SickCommentVo;
import org.springframework.web.multipart.MultipartFile;

/**
 * @ClassName SickCircleServer
 * @Description 描述
 */
public interface SickCircleServer {
    HealthR<SickCircleEntity> publishSickCircle(SickCircleEntity sickCircleEntity);
    Result pictures(MultipartFile picture);
    Result<SickCommentVo> publishComment(Integer sickCircleId, String content);


    HealthR expressOpinion(Integer commentId, Integer opinion);

}
