package doctor.service;

import com.alibaba.nacos.api.model.v2.Result;
import doctor.common.core.domain.HealthR;
import doctor.domain.entity.SickCircleEntity;
import doctor.domain.vo.SearchSickCircleVo;
import doctor.domain.vo.SickCircleVo;
import doctor.domain.vo.SickCommentVo;
import doctor.domain.vo.SickInfoVo;

import java.util.List;

public interface SickCircleService {
    List<SickCircleVo> findSickCircleList(Integer page, Integer size, Integer departmentId);

    SickInfoVo findSickCircleInfo(Integer sickCircleId);

    SearchSickCircleVo searchSickCircle(String keyWord);

    Result<SickCommentVo> publishComment(Integer sickCircleId, String content);

    HealthR<SickCircleEntity> publishSickCircle(SickCircleEntity sickCircleEntity);

}
