package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.domain.entity.Banners;
import doctor.service.BannersService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/share")
public class HealthShareController {

    @Autowired
    private BannersService bannersService;
    @GetMapping("/v1/bannersShow")
    public HealthR<List<Banners>> bannersShow(){
        List<Banners> banners = bannersService.bannersShow();
        return HealthR.ok(banners);
    }
}
