package doctor.convert;

import doctor.domain.entity.DoctorEntity;
import doctor.domain.vo.DoctorVo;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface DoctorConvert {

    DoctorConvert INSTANCE = Mappers.getMapper(DoctorConvert.class);

    DoctorEntity doctorVoToDoctorEntity(DoctorVo doctorVo);
    @Mappings({
            @Mapping(source = "id", target = "doctorId")
    })
    DoctorVo doctorEntityToDoctorVo(DoctorEntity doctorEntity);
    List<DoctorVo> doctorEntityListToDoctorVoList(List<DoctorEntity> doctorEntityList);

    List<DoctorEntity> doctorVoListToDoctorEntityList(List<DoctorVo> doctorVoList);
}
