package doctor.convert;

import doctor.domain.entity.VideoEntity;
import doctor.domain.vo.VideoVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface VideoConvert {
    VideoConvert INSTANCE = Mappers.getMapper(VideoConvert.class);

    VideoVo videoEntityToVideoVo(VideoEntity videoEntity);

    VideoEntity videoVoToVideoEntity(VideoVo videoVo);

    List<VideoEntity> videoVoListToVideoEntityList(List<VideoVo> videoVoList);

    List<VideoVo> videoEntityListToVideoVoList(List<VideoEntity> videoEntityList);
}
