package doctor.domain.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.w3c.dom.Text;

import java.util.Date;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.domain.entity
 * @Author: jpz
 * @CreateTime: 2024/1/10 22:00
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DrugsKnowledge {
    private Integer id;
    private Integer drugsCategoryId;
    private String name;
    private Text picture;
    private String effect;
    private Text taboo;
    private String shape;
    private String packing;
    private Text component;
    private Text usage;
    private Text sideEffects;
    private String storage;
    private Text mindMatter;
    private String approvalNumber;
    private Date createTime;


}
