package doctor.domain.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.domain.entity
 * @Author: jpz
 * @CreateTime: 2024/1/12 21:46
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class InquiryDetailsRecordEntity {
    //主键id
    private Integer id;
    //问诊记录
    private Integer inquiryId;
    //用户id
    private Integer userId;
    //好友id
    private Integer friendId;
    //问诊内容
    private String askContent;
    //问诊图片
    private String askImage;
    //语音聊天
    private String voiceChat;
    //方向1=发送 2=接收
    private Integer direction;
    //问诊时间
    private Date askTime;
    //创建时间
    private Date createTime;















}
