package doctor.domain.entity;

import lombok.Data;

import javax.persistence.*;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

@Data
public class SickCircleEntity {
    /**
     * 病例ID
     */
    private Integer sickCircleId;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 病例标题
     */
    private String title;

    /**
     * 部门ID
     */
    private Integer departmentId;

    /**
     * 采纳评论ID
     */
    private Integer adoptCommentId;

    /**
     * 疾病名称
     */
    private String disease;

    /**
     * 病例详情
     */
    private String detail;

    /**
     * 治疗医院
     */
    private String treatmentHospital;

    /**
     * 治疗开始时间
     */
    private Date treatmentStartTime;

    /**
     * 治疗结束时间
     */
    private Date treatmentEndTime;

    /**
     * 治疗过程
     */
    private String treatmentProcess;

    /**
     * 图片
     */
    private String picture;

    /**
     * 发布时间
     */
    private Date releaseTime;

    /**
     * 采纳时间
     */
    private Date adoptTime;

    /**
     * 治愈人数
     */
    private Integer amount;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 收藏数
     */
    private Integer collectionNum;

    /**
     * 评论数
     */
    private Integer commentNum;

    /**
     * 科室名称
     */
    private String department;

}
