package doctor.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.domain.vo
 * @Author: jpz
 * @CreateTime: 2024/1/12 15:37
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DepartmentVo {

    @NotNull(message = "id不能为空")
    private Integer id;
    private String departmentName;
    private String pic;
    private Integer rank;

}
