package doctor.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.domain.vo
 * @Author: jpz
 * @CreateTime: 2024/1/12 15:51
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DrugsKnowledgeVo {
    private Integer id;
    private Integer drugsCategoryId;
    private String name;
    private String picture;
    private String effect;
    private String taboo;
    private String shape;
    private String packing;
    private String component;
    private String usage;
    private String sideEffects;
    private String storage;
    private String mindMatter;
    private String approvalNumber;


}
