package doctor.mapper;

import doctor.domain.entity.Information;
import doctor.domain.entity.InformationPlate;
import org.mybatis.spring.annotation.MapperScan;

import java.util.List;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.mapper
 * @Author: jpz
 * @CreateTime: 2024/1/11 16:22
 */
@MapperScan
public interface InformationMapper {
    List<Information> findInformationList(Integer plateId);

    List<InformationPlate> findInformationPlateList();


    Information findInformation(Long infoId);
}
