package doctor.mapper;

import doctor.domain.entity.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName : VideoMapper
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-10 16:03
 */
@Mapper
public interface VideoMapper {


    void addUserVideoCollection(@Param("userId") Integer userId, @Param("videoId") Integer videoId);

    VideoEntity findById(@Param("videoId") Integer videoId);

    VideoCountEntity FindVideoId(@Param("id") Integer id);

    void updateVideoCount(VideoCountEntity videoCount);

    UserEntity FindById(@Param("userId") Integer userId);

    UserWalletEntity FindUserWallet(@Param("id") Integer id);


    void updateUserWallet(@Param("newblance") int newblance, @Param("id") Integer id);

    List<VideoCommentEntity> findVideoCommentList(@Param("videoId") Integer videoId);

    void addVideoComment(@Param("userId") Integer userId, @Param("sessionId") String sessionId, @Param("videoId") Integer videoId, @Param("content") String content);


//    UserWalletEntity FindById(@Param("userId") Integer userId);
}
