package doctor.service;

import doctor.domain.vo.DoctorVo;
import doctor.domain.vo.InquiryDetailsRecordVo;

import java.util.List;

/**
 * @ClassName : InquiryService
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-12 19:18
 */
public interface InquiryService {
    List<InquiryDetailsRecordVo> findHistoryInquiryRecord();

    DoctorVo findDoctorInfo(Integer doctorId);

    String consultDoctor(Integer userId, Integer doctorId);

    void followDoctor(Integer userId, Integer doctorId);

    void cancelFollow(Integer userId, Integer doctorId);

    void endInquiry(Integer userId, Integer recordId);
}
