package doctor.service;

import com.alibaba.nacos.api.model.v2.Result;
import doctor.common.core.domain.HealthR;
import doctor.domain.entity.SickCircleEntity;
import doctor.domain.entity.SickCommentEntity;
import doctor.domain.entity.SymptomEntity;

import java.util.List;

/**
 * @ClassName PatientService
 * @Description 描述
 */
public interface PatientService {

    SickCircleEntity findSickCircleInfo(Integer id);


    Result<List<SymptomEntity>> symptomList();



    HealthR<List<SickCircleEntity>> sickCircleList(Integer departmentId, Integer page, Integer count);


    HealthR<List<SickCommentEntity>> findSickCircleCommentList(Integer sickCircleId);



    HealthR<List<SickCircleEntity>> searchSickCircle(String keyWord);

}
